Background Image

DOCUMENTATION

Votes 0 Comment 0
?

Shortcut

PrevPrev Article

NextNext Article

Larger Font Smaller Font Up Down Go comment Print
CUBRID 10.2 Patch 10 has been released.

In this release, issues found after 10.2.9 released have been fixed.

1. Improvement and Fix
  - Improved to use index scan even when there is a value predicate like '1=1' in the where clause in a hierarchical query.
  - Improved to use index scan when a column name is included in the LIKE conditional expression.
  - Improved to exclude temporary pages from the flush target when executing CHECKPOINT.
  - Fixed an error that occurred when using a CTE with a ROUND function in a DELETE query.
  - Fixed an error where an incorrect message was displayed when an 'Invalid format' error occurred in a MERGE query.
  - Fixed an error where an OUTER JOIN was treated as an INNER JOIN in a query that included an OR operation.
  - Fixed an error where some collections-related (has VARCHAR elements) query returns incorrect result.
  - Fixed an error that returned incorrect results when using the IFNULL function with a numeric type host-variables.
  - Fixed an error that occurred when using PREPARE/EXECUTE statement that includes DECODE.
  - Fixed a segment fault that occurred when SELECT clause had more than 33 analytic functions.
  - Fixed an error that occurred when using function based index with IN clause.
  - Fixed an error that occurred when there is no SELECT result when performing an INSERT + SELECT query.
  - Fixed an error that occurred when CONNECT BY query is executed with the INLINE VIEW that creates temporary records larger than one page.
  - Fixed an error that occurred when PLAN CACHE removed while executing executeBatch().
  - Fixed an errors that fail intermittently when replicating large size records in an HA environment.

  Please refer to the 10.2.10 change logs(https://github.com/CUBRID/cubrid/releases/tag/v10.2.10) for details.

2. Environmental Requirements
  - Linux: 64bit, kernel 2.4 or higher, Windows: Windows7 or higher (Windows 7 requires the latest security updates)
  - JRE 1.8 or higher is required when using JSP or CUBRID Admin/CUBRID Manager

3. Download
  - Product download : https://www.cubrid.org/downloads

  1. No Image 20Mar
    by
    2020/03/20 in Engine

    CUBRID 10.1 Patch 1 Released

  2. No Image 20Mar
    by
    2020/03/20 in Engine

    CUBRID 10.1 Patch 2 Released

  3. No Image 20Mar
    by
    2020/03/20 in Engine

    CUBRID 10.1 Patch 3 Released

  4. No Image 01Jun
    by
    2020/06/01 in Engine

    CUBRID 10.1 Patch 4 Released

  5. No Image 14Apr
    by
    2021/04/14 in Engine

    CUBRID 10.1 Patch 5 Released

  6. No Image 26Oct
    by
    2022/10/26 in Engine

    CUBRID 10.1 Patch 6 Released

  7. No Image 13Dec
    by
    2022/12/13

    CUBRID 10.1 Patch 7 released

  8. No Image 25Jul
    by
    2023/07/25 in Engine

    CUBRID 10.1 Patch 8 released

  9. No Image 20Mar
    by
    2020/03/20 in Engine

    CUBRID 10.1 Released

  10. No Image 01Jun
    by
    2020/06/01 in Engine

    CUBRID 10.2 Patch 1 Released

Board Pagination Prev 1 2 3 4 5 6 7 8 9 Next
/ 9

Join the CUBRID Project on